Java indexer is missing ordinals on 'param' edges
Closed, ResolvedPublic

Description

Also, shouldn't verifier check for this?

I've also verified that functions with more than one parameter don't have ordinals for any of the parameters.

Querying the output from the test file kythe/javatests/com/google/devtools/kythe/analyzers/java/testdata/pkg/Callgraph.java gives:

$ /opt/kythe/tools/kythe -api=http://localhost:8080 edges kythe://kythe?lang=java?path=kythe/javatests/com/google/devtools/kythe/analyzers/java/testdata/pkg/Callgraph.java#69ac7e5c69bd56f3b377842013f34baaca27efe707441aa87068dd531bfd40bf

source: kythe://kythe?lang=java?path=kythe/javatests/com/google/devtools/kythe/analyzers/java/testdata/pkg/Callgraph.java#69ac7e5c69bd56f3b377842013f34baaca27efe707441aa87068dd531bfd40bf
%/kythe/edge/param	kythe://kythe?lang=java?path=kythe/javatests/com/google/devtools/kythe/analyzers/java/testdata/pkg/Callgraph.java#3f89e3be5e922de3c795185a80127011f74698303ca7ddde2aaf4213ee7316fc
/kythe/edge/named	kythe:?lang=java#pkg.Callgraph.f%28int%29%23n
/kythe/edge/typed	kythe:?lang=java#int%23builtin
%/kythe/edge/defines	kythe://kythe?lang=java?path=kythe/javatests/com/google/devtools/kythe/analyzers/java/testdata/pkg/Callgraph.java#4b07e312712b8e2975a1de50363b1d47e08aab516d8f3f61c097359320aa29b1
%/kythe/edge/defines/binding	kythe://kythe?lang=java?path=kythe/javatests/com/google/devtools/kythe/analyzers/java/testdata/pkg/Callgraph.java#4a4b213cf5410ef88004051c5bd4634301d2e54bc5511606692c4213d7ab9872

and for the reverse edges:

$ $ /opt/kythe/tools/kythe -api=http://localhost:8080 edges kythe://kythe?lang=java?path=kythe/javatests/com/google/devtools/kythe/analyzers/java/testdata/pkg/Callgraph.java#3f89e3be5e922de3c795185a80127011f74698303ca7ddde2aaf4213ee7316fc
source: kythe://kythe?lang=java?path=kythe/javatests/com/google/devtools/kythe/analyzers/java/testdata/pkg/Callgraph.java#3f89e3be5e922de3c795185a80127011f74698303ca7ddde2aaf4213ee7316fc
/kythe/edge/param	kythe://kythe?lang=java?path=kythe/javatests/com/google/devtools/kythe/analyzers/java/testdata/pkg/Callgraph.java#69ac7e5c69bd56f3b377842013f34baaca27efe707441aa87068dd531bfd40bf
/kythe/edge/childof	kythe://kythe?lang=java?path=kythe/javatests/com/google/devtools/kythe/analyzers/java/testdata/pkg/Callgraph.java#10b1d8cdf6fd8d6fafcb1ad49472848865838da004cafb52153e01f3f559308f
%/kythe/edge/defines	kythe://kythe?lang=java?path=kythe/javatests/com/google/devtools/kythe/analyzers/java/testdata/pkg/Callgraph.java#7375a5f722b01da60beda4915c53764db561f0af30fd4f3ef18b7da23c19d504
/kythe/edge/typed	kythe:?lang=java#f56e73497909b8e0f17f5d365edaf9d7bf8eb56920bd886d3a115ea13442872a
%/kythe/edge/defines/binding	kythe://kythe?lang=java?path=kythe/javatests/com/google/devtools/kythe/analyzers/java/testdata/pkg/Callgraph.java#58a8530f7cc0b45e459a1314f30c0c97e6ba0c4aac0f0b20c8fbb9e05c4f5c9b
%/kythe/edge/documents	kythe://kythe?lang=java?path=kythe/javatests/com/google/devtools/kythe/analyzers/java/testdata/pkg/Callgraph.java#3c321f4f0d8fd19f82f4802d321d9ac2f8f796d4ef358d0cb8ad7bfaa5dd1e32
%/kythe/edge/ref	kythe://kythe?lang=java?path=kythe/javatests/com/google/devtools/kythe/analyzers/java/testdata/pkg/Callgraph.java#7ae9514cea9fa0c223300aaf223952a80091c0381ec8a04e9f5dcf2002b8fcdb
%/kythe/edge/ref/call	kythe://kythe?lang=java?path=kythe/javatests/com/google/devtools/kythe/analyzers/java/testdata/pkg/Callgraph.java#19d0785b3600694a63f7e77ebbf4bb0a135878e02d0ccc2ee9bd8e63d1b4be01
/kythe/edge/named	kythe:?lang=java#pkg.Callgraph.f%28int%29
pludemann created this task.Via WebJan 31 2017, 1:08 PM
pludemann added a subscriber: pludemann.

This is the case for both function definitions and function calls.

fromberger added a subscriber: fromberger.Via WebApr 20 2017, 3:07 PM

I can't repro this right now. Do you still see this happening? (In particular, it's possible that the tool just isn't rendering the ordinals, but that they are in the response).

schroederc claimed this task.Via WebJun 1 2017, 9:52 AM
schroederc triaged this task as "Low" priority.
schroederc closed this task as "Resolved" by committing rK61f01fc48604: kythe tool: display edge ordinals.Via DaemonsJun 1 2017, 10:49 AM

Add Comment